Skip to Content
APIChains

Chains API

Access supported blockchain networks and contract information.

List Chains

GET /api/chains

Returns all supported blockchain networks.

Query Parameters

ParameterTypeDescription
includeDisabledbooleanInclude disabled chains (default: false)

Response

{ "data": [ { "id": "chain_1", "chainId": 1, "name": "Ethereum Mainnet", "symbol": "ETH", "chainType": "evm", "defaultPrimaryRpc": "https://...", "defaultFallbackRpc": "https://...", "explorerUrl": "https://etherscan.io", "explorerApiUrl": "https://api.etherscan.io", "isTestnet": false, "isEnabled": true }, { "id": "chain_2", "chainId": 11155111, "name": "Sepolia", "symbol": "ETH", "chainType": "evm", "isTestnet": true, "isEnabled": true } ] }

Chain Types

TypeDescription
evmEthereum Virtual Machine compatible
solanaSolana network

Fetch Contract ABI

GET /api/chains/{chainId}/abi?address={contractAddress}

Fetches the ABI for a verified contract from the block explorer.

Query Parameters

ParameterTypeDescription
addressstringContract address (required)

Response

{ "abi": [ { "type": "function", "name": "balanceOf", "inputs": [{"name": "account", "type": "address"}], "outputs": [{"name": "", "type": "uint256"}] } ] }

Alternative ABI Fetch

GET /api/web3/fetch-abi?address={address}&chainId={chainId}

Alternative endpoint for fetching contract ABIs.